# ActorForth

NOTE: When checking out this repo use --recursive to automatically get the external submodule dependencies.

[![Join the chat at https://gitter.im/ActorForth/community](https://badges.gitter.im/ActorForth/community.svg)](https://gitter.im/ActorForth/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

ActorForth is Open Source software covered under BSD license (see
LICENSE.txt).  If you contribute to this project then you guarantee
that you have the right to contribute your content & IP, will abide by
said license and do assign an unlimited, universal, non-exclusive
license to the copyright holder and anyone else who agrees to abide by
the license.

ActorForth was originally written in Python 3.x but hit some technical limits in Python's ability to do low level processing and the alternative implementation stressed the "functional" iterative aspects of the Python interpreter so we have now switched to modern C++ and are back on track.

See [ActorForthDefinition](docs/ActorForthDefinition.md) for a quick
overview of how the language works.

Experiments implementing an Actor-style programming language on top of
a stack-based processor will be forthcoming as the system is
developed.
